repo/gentoo:master commit in: net-news/rssguard/

Michał Górny <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786985124.6118d4f8da528cb2a56e794bc5b76d1a1b817913.mgorny@gentoo>
commit:     6118d4f8da528cb2a56e794bc5b76d1a1b817913
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 17 16:21:33 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Aug 17 16:45:24 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6118d4f8

net-news/rssguard: Bump to 5.2.4

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 net-news/rssguard/Manifest              |  1 +
 net-news/rssguard/rssguard-5.2.4.ebuild | 87 +++++++++++++++++++++++++++++++++
 2 files changed, 88 insertions(+)

diff --git a/net-news/rssguard/Manifest b/net-news/rssguard/Manifest
index 4104479bad1d..d05959588165 100644
--- a/net-news/rssguard/Manifest
+++ b/net-news/rssguard/Manifest
@@ -1 +1,2 @@
 DIST rssguard-5.2.3-src.tar.gz 98694720 BLAKE2B fdd42de8c84281ed137a749cd9ded0f3cd924b7e989b560637dc5cc49279bd69973a094990bc1b97db2da77a1e177846d34080d31145abbc1ef535a828506519 SHA512 659bc88cde6f12b38f07a35823e6c56adab08a6e9d97e7fd3021f8fe17c56a9afea19e9d30edbdd20654cc87360153124371a23d2e1126df4672be2c278a95f6
+DIST rssguard-5.2.4-src.tar.gz 98809591 BLAKE2B 37995aafdaf67c6ecc027d3abef2d0f6873d64d114123c1388798401a37e9ffad493f4e859e2eb7e2063431920b4b4f14493357d0ad1ffd1bef6c4723f30a851 SHA512 acd3f43dbf344243dd4d319af3d115a25f19d14171a59438037336e09f5284049f65e07bb0abb91c83d0ba76bd2542a81049df82061cb0099c6e9f7e253be0a7

diff --git a/net-news/rssguard/rssguard-5.2.4.ebuild b/net-news/rssguard/rssguard-5.2.4.ebuild
new file mode 100644
index 000000000000..eb323b26d17c
--- /dev/null
+++ b/net-news/rssguard/rssguard-5.2.4.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake eapi9-ver xdg
+
+DESCRIPTION="Simple (yet powerful) news feed reader"
+HOMEPAGE="https://github.com/martinrotter/rssguard/"
+SRC_URI="
+	https://github.com/martinrotter/rssguard/releases/download/${PV}/${P}-src.tar.gz
+"
+
+LICENSE="|| ( LGPL-3 GPL-2+ ) AGPL-3+ BSD GPL-3+ MIT"
+SLOT="0/104"
+KEYWORDS="~amd64"
+IUSE="icu libmpv mysql qtmultimedia +sqlite webengine xmpp"  # test
+REQUIRED_USE="
+	|| ( mysql sqlite )
+	?? ( libmpv qtmultimedia )
+"
+#RESTRICT="!test? ( test )"
+
+# go for article-extractor plugin
+BDEPEND="
+	dev-lang/go
+	dev-qt/qttools:6[linguist]
+"
+DEPEND="
+	dev-qt/qtbase:6[concurrent,dbus,gui,mysql?,network,sql,sqlite?,ssl,widgets]
+	dev-qt/qtdeclarative:6
+	dev-qt/qtmultimedia:6[gstreamer]
+	media-libs/libglvnd
+	virtual/zlib:=
+	icu? ( dev-libs/icu:= )
+	libmpv? (
+		dev-qt/qtbase:6[opengl]
+		media-video/mpv:=
+	)
+	qtmultimedia? (
+		dev-qt/qtbase:6[opengl]
+		dev-qt/qtmultimedia:6
+	)
+	webengine? ( dev-qt/qtwebengine:6 )
+	xmpp? ( >=net-libs/qxmpp-1.15.1:= )
+"
+RDEPEND="${DEPEND}"
+
+# go
+QA_FLAGS_IGNORED="/usr/bin/rssguard-article-extractor"
+
+pkg_pretend() {
+	if ver_replacing -lt 5.2.0; then
+		ewarn "RSSGuard 5.2.0 changed its database schema.  Once you start the new"
+		ewarn "version, the database will be upgraded in place and it will"
+		ewarn "no longer be possible to run an older version of RSSGuard with it."
+	fi
+}
+
+src_configure() {
+	grep -q "^#define APP_DB_SCHEMA_VERSION\s*\"${SLOT#0/}\"$" \
+		src/librssguard/definitions/definitions.h ||
+		die "APP_DB_SCHEMA_VERSION changed, update SLOT"
+
+	local mycmakeargs=(
+		-DBUILD_WITH_QT6=ON
+		-DREVISION_FROM_GIT=OFF
+		-DNO_UPDATE_CHECK=ON
+		-DENABLE_COMPRESSED_SITEMAP=ON
+		-DENABLE_ICU=$(usex icu)
+		-DENABLE_MEDIAPLAYER_QTMULTIMEDIA=$(usex qtmultimedia)
+		-DENABLE_MEDIAPLAYER_LIBMPV=$(usex libmpv)
+		# implicitly enables benchmarks
+		# https://github.com/martinrotter/rssguard/issues/2409
+		# -DENABLE_TESTING=$(usex test)
+		-DUSE_SYSTEM_QXMPP=ON
+		-DBUILD_XMPP_PLUGIN=$(usex xmpp)
+		-DWEB_ARTICLE_VIEWER_WEBENGINE=$(usex webengine)
+		# recommended
+		-DMEDIAPLAYER_FORCE_OPENGL=ON
+		# TODO: unbundle gumbo? unfortunately upstream is inlining it
+		# into their CMakeLists rather than using litehtml CMakeLists
+		# that support external gumbo
+	)
+
+	cmake_src_configure
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.